%define upstream_name	 DB_File
%define upstream_version 1.827

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl5 access to Berkeley DB version 1.x
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{upstream_name}-1.805-makefile.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: db-devel
BuildRequires: perl-devel
%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1. (DB_File can be built with
version 2 or 3 of Berkeley DB, but it will only support the 1.x
features).

If you want to make use of the new features available in Berkeley DB
2.x or 3.x, use the Perl module BerkeleyDB instead.

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. DB_File provides an interface to all three
of the database types (hash, btree and recno) currently supported by
Berkeley DB.

For further details see the documentation included at the end of the
file DB_File.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
chmod 644 README DB_File.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/DB_File

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 1.827.0-4.mga3
+ Revision: 405466
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.827.0-3.mga3
+ Revision: 365187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.827.0-2.mga3
+ Revision: 315495
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.827.0-1.mga3
+ Revision: 294847
- update to 1.827

* Tue Jul 31 2012 fwang <fwang> 1.826.0-4.mga3
+ Revision: 276385
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.826.0-3.mga3
+ Revision: 274841
- rebuild for db

* Wed May 30 2012 jquelin <jquelin> 1.826.0-2.mga3
+ Revision: 250496
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.826.0-1.mga2
+ Revision: 219768
- update to 1.826

* Fri Nov 04 2011 jquelin <jquelin> 1.824.0-2.mga2
+ Revision: 162792
- take priority over module bundled with perl 5.14.2
- update to 1.824

* Thu Jul 07 2011 fwang <fwang> 1.822.0-4.mga2
+ Revision: 119667
- rebuild against db4.8

* Wed Jun 22 2011 jquelin <jquelin> 1.822.0-3.mga2
+ Revision: 112048
- perl 5.14 rebuild

* Sat Jun 11 2011 sander85 <sander85> 1.822.0-2.mga2
+ Revision: 104150
- perl 5.14

* Mon Mar 14 2011 jquelin <jquelin> 1.822.0-1.mga1
+ Revision: 70981
- update to 1.822

* Fri Feb 18 2011 jquelin <jquelin> 1.821.0-2.mga1
+ Revision: 53577
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.821.0-1.mga1
+ Revision: 52414
- update to 1.821

* Sat Jan 22 2011 jquelin <jquelin> 1.820.0-7.mga1
+ Revision: 32737
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.820.0-6.mga1
+ Revision: 30049
- mageia rebuild
- imported package perl-DB_File


* Wed Dec 29 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.820.0-6mdv2011.0
+ Revision: 625750
- fix conflicting man pages

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.820.0-5mdv2011.0
+ Revision: 564426
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.820.0-4mdv2011.0
+ Revision: 555230
- rebuild

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.820.0-3mdv2010.1
+ Revision: 505725
- rebuild using %%perl_convert_version

* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.820-2mdv2010.1
+ Revision: 483976
- rebuild

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.820-1mdv2010.0
+ Revision: 371602
- update to new version 1.820

* Thu Feb 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.819-1mdv2009.1
+ Revision: 342830
- update to new version 1.819

* Sun Feb 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.818-1mdv2009.1
+ Revision: 336236
- update to new version 1.818

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.817-3mdv2009.1
+ Revision: 314520
- rebuilt against db4.7

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.817-2mdv2009.0
+ Revision: 265355
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.817-1mdv2009.0
+ Revision: 193798
- update to new version 1.817

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.816-3mdv2008.1
+ Revision: 151327
- rebuild for perl-5.10.0

* Sun Dec 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.816-2mdv2008.1
+ Revision: 137309
- rebuilt against bdb 4.6.x

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.816-1mdv2008.1
+ Revision: 105481
- new version
- update to new version 1.816


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.815-1mdv2007.0
+ Revision: 131637
- 1.815

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.814-2mdv2007.1
+ Revision: 108543
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-DB_File

* Thu Nov 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.814-1mdk
- 1.814

* Wed Nov 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.813-1mdk
- 1.813

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.812-1mdk
- new version
- spec cleanup
- %%mkrel
- rpmbuildupdate aware
- fix doc perms

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.811-1mdk
- 1.811

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.810-2mdk
- rebuild for new perl

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.810-1mdk
- 1.810.

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.809-1mdk
- 1.809.

* Thu Apr 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.808-1mdk
- 1.808.

